Get Catalog
curl --request GET \
--url https://catalogapi.rastro.ai/api/public/catalogs/{catalog_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://catalogapi.rastro.ai/api/public/catalogs/{catalog_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://catalogapi.rastro.ai/api/public/catalogs/{catalog_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"organization_id": "<string>",
"name": "<string>",
"current_schema_version": "<string>",
"unique_id_field": "<string>",
"auto_evolve_schema": true,
"strict_mode": true,
"product_enabled": true,
"item_count": 123,
"created_by_user_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"description": "<string>",
"product_id_field": "<string>",
"updated_at": "2023-11-07T05:31:56Z",
"schema": {
"id": "<string>",
"catalog_id": "<string>",
"version": "<string>",
"schema_definition": {},
"backward_compatible": true,
"created_by": "<string>",
"change_reason": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"migration_rules": {},
"last_edited_by_workflow": "<string>",
"last_edited_at": "2023-11-07T05:31:56Z",
"fields_workflow_info": [],
"total_fields": 0,
"input_fields_count": 0,
"generated_fields_count": 0
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Catalogs
Get Catalog
Get details of a specific catalog.
Args: catalog_id: The catalog ID
Returns: Catalog details including schema information
GET
/
public
/
catalogs
/
{catalog_id}
Get Catalog
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Path Parameters
Response
Successful Response
Response model for catalog information
Response model for catalog schema
Show child attributes
Show child attributes
⌘I